Foreman - Refactor #2050

Don't display revoked certificates by default
12/14/2012 01:03 PM - Greg Sutcliffe

Status: Closed

Priority: Normal

Assignee: Greg Sutcliffe

Category: PuppetCA

Target version: 1.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Revoked certificates are purely informational, and low-value information at that. We should match the "puppet cert" output, and only
display valid+pending certificates by default. The filters are there if people really want to see the revoked ones.

This is very useful to me: at time of writing, | have 80+ revoked certs, 7 valid, and 1 pending. It's hard to find the useful data with

pagination=>20 :)

Patch incoming.

Associated revisions

Revision 4a073b8b - 12/18/2012 10:21 AM - Greg Sutcliffe
Fixes #2050 - Don't display revoked certs by default

History

#1 - 12/14/2012 01:11 PM - Greg Sutcliffe
- Category set to PuppetCA
- Assignee set to Greg Sutcliffe

- Target version set to 1.1

Patch opened at https:/github.com/theforeman/foreman/pull/306

#2 - 12/18/2012 10:52 AM - Greg Sutcliffe
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 4a073b8b50a302263dff002ad41cddbc776b9d34.

05/12/2024

1/1



https://github.com/theforeman/foreman/pull/306
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4a073b8b50a302263dff002ad41cddbc776b9d34
http://www.tcpdf.org

